pipeline:

  # Download example data
  - reader.URLReader:
      url: https://gitlab01.classe.cornell.edu/api/v4/projects/308/repository/files/saxswaxs%2fdata.tar/raw?ref=main
      headers:
        PRIVATE-TOKEN: # your token here
  - processor.URLResponseProcessor
  - writer.ExtractArchiveWriter:
      filename: examples/saxswaxs

  # Collect map data
  - reader.YAMLReader:
      filename: examples/saxswaxs/map_1d.yaml
      schema: MapConfig
  - processor.MapProcessor
  - writer.NexusWriter:
      filename: examples/saxswaxs/saxswaxs_map.nxs
      force_overwrite: true

  # Integrate map detetcor data
  - reader.MultipleReader:
      readers:
        - YAMLReader:
            filename: examples/saxswaxs/map_1d.yaml
            schema: MapConfig
        - YAMLReader:
            filename: examples/saxswaxs/integration_saxs_azimuthal.yaml
            schema: IntegrationConfig
  - processor.IntegrateMapProcessor
  - writer.NexusWriter:
      filename: examples/saxswaxs/saxs_azimuthal_integrated.nxs
      force_overwrite: true
